---
- name: Write script for calico/docker bridge configuration
  template: src=create_cbr.j2 dest=/etc/network/if-up.d/create_cbr mode=u+x backup=yes
  when: kube_network_plugin is defined and kube_network_plugin == "calico"

- name: Configure calico/docker bridge
  command: /etc/network/if-up.d/create_cbr
  when: kube_network_plugin is defined and kube_network_plugin == "calico"

- name: enable docker
  service:
    name: docker
    enabled: yes
    state: started
  tags:
    - docker

#- name: login to arkena's docker registry
#  shell : >
#    docker login --username={{ dockerhub_user }}
#    --password={{ dockerhub_pass }}
#    --email={{ dockerhub_email }}

- meta: flush_handlers
